Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059680 - Control ethtool_opts functionality within Vdsm
Summary: Control ethtool_opts functionality within Vdsm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.4.0
Assignee: Dan Kenigsberg
QA Contact: Meni Yakove
URL:
Whiteboard: network
Depends On: 1044033 1080987
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 10:56 UTC by Dan Kenigsberg
Modified: 2014-11-03 12:35 UTC (History)
14 users (show)

Fixed In Version: ovirt-3.4.0
Doc Type: Bug Fix
Doc Text:
Clone Of: 1044033
Environment:
Last Closed: 2014-02-14 09:56:47 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 23761 None None None Never

Description Dan Kenigsberg 2014-01-30 10:56:29 UTC
Currently, users have no means to disable optimization flags if they are harmful to their networking cards.

This bug is not about the complete integration with oVirt (requested below), but rather a request to let a local admin control ethtool_opts from within vdsm.conf (via ifcfg and iproute2 alike)

+++ This bug was initially created as a clone of Bug #1044033 +++


Description of problem:

Out of the box rhev vdsm doesn't support ethtool_opts field

According to Dan Williams (NetworkManager) seems to indicate that ifcfg file configuration is not required but it will still be the preferred method to embed configuration for persistence even within RHEL7

From a previous BZ this issue has been made apparent.

https://bugzilla.redhat.com/show_bug.cgi?id=965929 

Upstream feature reference:

http://www.ovirt.org/Features/Network_Custom_Properties

Because it can't necessarily be assumed that each host within RHEV will have the same network cards the ethool_opts setting needs to be per host specific.


Version-Release number of selected component (if applicable):

RHEV 3.2

Additional info:

Comment 1 Sandro Bonazzola 2014-02-14 09:56:47 UTC
Closing as 3.3.3 has been released.

Comment 2 Marina 2014-03-24 15:00:16 UTC
Dan/Sandro,
The bug is closed as current release, but there is no value on "fixed in version" field or errata url provided.
Can you please provide more details about this bug?


Note You need to log in before you can comment on or make changes to this bug.